Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063316 - Need update helpout of part-set-gpt-type
Summary: Need update helpout of part-set-gpt-type
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1008417
TreeView+ depends on / blocked
 
Reported: 2014-02-10 13:48 UTC by Pino Toscano
Modified: 2014-02-10 13:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1008417
Environment:
Last Closed: 2014-02-10 13:49:56 UTC


Attachments (Terms of Use)

Description Pino Toscano 2014-02-10 13:48:06 UTC
+++ This bug was initially created as a clone of Bug #1008417 +++

Description of problem:
1. For sgdisk, -t, --typecode=partnum:{hexcode|GUID}, it can accept hexcode as input
   For guestfish, we'd better update the helpout of part-set-gpt-type according to sgdisk, tells that hexcode is valid, command does not return error.

2. If gives a non-guid format value, sgdisk will give a default guid, like:
# sgdisk /dev/sdb -t 1:f
Exact type match not found for type code 000F; assigning type code for
'Linux filesystem'

For part-set-gpt-type, if gives a non-guid format value for gpt, the default value is returned, it's equal to mbr's guid (0FC63DAF-8483-4772-8E79-3D69D8477DE4).
it does not match gpt, we also need update helpout for this

 
Version-Release number of selected component (if applicable):
libguestfs-1.22.6-8.el7.x86_64


How reproducible:
100%

 
Steps to Reproduce:
1. check for mbr
><fs> part-disk /dev/sda mbr
><fs> part-get-gpt-type /dev/sda 1
0FC63DAF-8483-4772-8E79-3D69D8477DE4

2. check for gpt
><fs> part-disk /dev/sda gpt
><fs> part-get-gpt-type /dev/sda 1
EBD0A0A2-B9E5-4433-87C0-68B6B72699C7

3. set an invalid guid for gpt
><fs> part-set-gpt-type /dev/sda 1 f
><fs> part-get-gpt-type /dev/sda 1
0FC63DAF-8483-4772-8E79-3D69D8477DE4


Actual result:


Expect result:


Additional info:

--- Additional comment from Richard W.M. Jones on 2013-09-26 06:07:52 EDT ---

Reassigning to Matt who wrote the code and uses the API.

https://github.com/libguestfs/libguestfs/blob/7c535c501b1ce131ae98dd948b22fc260d659d1b/daemon/parted.c#L761

Matt: Should we check if the guid parameter is invalid
and bail out?

--- Additional comment from Matthew Booth on 2013-10-03 09:48:42 EDT ---

I'd say yes. That way we're less likely to be affected by changes in the behaviour of gdisk.

--- Additional comment from Pino Toscano on 2014-02-10 08:08:54 EST ---

This has been fixed with the following commits:
https://github.com/libguestfs/libguestfs/commit/beef77403cd9d634b6ff6daa9f33d292e2d320a7
https://github.com/libguestfs/libguestfs/commit/b10dd601fb07eb3d8bf76b5f9fcac1c7fe59d4d5
https://github.com/libguestfs/libguestfs/commit/775cad63a3f2156b38e7d8360b88ed11615779e8
https://github.com/libguestfs/libguestfs/commit/a948389ce9c76bf7e8997bb27f3daac06cb20c50
which are in libguestfs >= 1.25.34.

Comment 1 Pino Toscano 2014-02-10 13:49:56 UTC
Fixed upstream, as explained already in comment 0.


Note You need to log in before you can comment on or make changes to this bug.